# Interface TablesInput

All Known Implementing Classes:
  `FixedTablesInput, HomogeneousTablesInput, VariableTablesInput`

public interface TablesInput
Interface for an object which can acquire multiple input tables.

Since:
  2 Jul 2010
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`FilterParameter`
`getFilterParameter(int i)`
Returns a parameter used for acquiring an input filter for one of the numbered input tables.
`InputTableSpec[]`
`getInputSpecs(uk.ac.starlink.task.Environment env)`
Returns an array of InputTableSpec objects describing the input tables used by this task.
`AbstractInputTableParameter<?>`
`getInputTableParameter(int i)`
Returns a parameter used for acquiring one of the numbered input tables.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters associated with this object.

## Method Details

### getParameters

uk.ac.starlink.task.Parameter<?>[] getParameters()
Returns the parameters associated with this object.

Returns:
  parameters

### getInputSpecs

InputTableSpec[] getInputSpecs(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns an array of InputTableSpec objects describing the input tables used by this task.

Parameters:
  `env` - execution environment
Returns:
  input table specifiers
Throws:
  `uk.ac.starlink.task.TaskException`

### getInputTableParameter

AbstractInputTableParameter<?> getInputTableParameter(int i)
Returns a parameter used for acquiring one of the numbered input tables.

Behaviour is undefined if you ask for a table index not applicable to this input.

Parameters:
  `i` - table index (0-based)
Returns:
  table input parameter

### getFilterParameter

FilterParameter getFilterParameter(int i)
Returns a parameter used for acquiring an input filter for one of the numbered input tables.

Behaviour is undefined if you ask for a table index not applicable to this input.

Parameters:
  `i` - table index (0-based)
Returns:
  input filter parameter